table ip6 kira {

    # This map contains the paths this host will forward packets along.
    # Maps Incoming PathIP -> Outgoing PathIP.
    # Packets will not be decapsulated.
    map forwardmap {
        type ipv6_addr : ipv6_addr
    }

    # This chain matches all packets that should be forwarded.
    chain hookin {
        type filter hook prerouting priority raw; policy accept;
        meta nftrace set 1
        ip6 daddr fcaa::/16 goto forward
        ip6 daddr fc00::/16 meta l4proto != icmpv6 goto forward
    }

    # This chain forwards all PathIP traffic as configured in the pathidtopathid map.
    # PathIP traffic of paths that end on this host are 
    chain forward {
        ip6 daddr set ip6 daddr map @forwardmap notrack
    }
    
}
